#pragma once

#include "Value.h"

namespace Databoard {
	namespace Value {

		class DATABOARD_API BooleanValue : public Value {
		public:
			BooleanValue(Databoard::Type::DataType* dataBoard);
			virtual ~BooleanValue();

			void setValue(bool value);
			bool getValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);

		protected:

			bool value;
		};
	}
}
