#pragma once

#include "DataType.h"

namespace Databoard {
	namespace Type {

		class DATABOARD_API MapType : public DataType {
		public:
			MapType();
			MapType(DataType* keyType, DataType* valueType);

			virtual ~MapType();

			DataType* getKeyType();
			DataType* getValueType();
			void setKeyType(DataType* keyType);
			void setValueType(DataType* valueType);

			virtual std::string writeOut(int indent = 0);

		protected:

			DataType* keyType;
			DataType* valueType;
		};
	}
}
