package org.simantics.databoard.tests;

import java.awt.geom.Rectangle2D;
import java.io.File;

import org.simantics.databoard.Accessors;
import org.simantics.databoard.Bindings;
import org.simantics.databoard.Files;
import org.simantics.databoard.accessor.RecordAccessor;
import org.simantics.databoard.accessor.file.FileVariantAccessor;
import org.simantics.databoard.binding.Binding;

public class Jotakin10 {

	public static void main(String[] args) throws Exception {
		File file = File.createTempFile("example10", ".dvb");

		Binding binding = Bindings.getBinding( Rectangle2D.Double.class );
		Files.createFile(file, binding, new Rectangle2D.Double(5, 5, 15, 25));

	    FileVariantAccessor fa = Accessors.openAccessor(file);
	    RecordAccessor ra = fa.getContentAccessor();
	    System.out.println( ra.getFieldValue(2, Bindings.DOUBLE) );
	    fa.close();
	    
	    
	}
	
}
