package org.simantics.databoard.tests;

import java.awt.geom.Rectangle2D;

import org.simantics.databoard.Bindings;
import org.simantics.databoard.binding.Binding;
import org.simantics.databoard.serialization.Serializer;

/**
 *
 * @author Toni Kalajainen <toni.kalajainen@iki.fi>
 */
public class Jotakin8 {

	public static void main(String[] args) throws Exception {
		
		assert true;
		
		Binding b = Bindings.getBinding( Rectangle2D.Double.class );
		Serializer s = b.serializer();
		
		Rectangle2D.Double rect = new Rectangle2D.Double(10, 10, 50, 50);
		
		byte[] data = s.serialize( rect );
		
		Rectangle2D.Double rect2 = new Rectangle2D.Double();
		s.deserialize(data, rect2);
		System.out.println(rect2);
		
		rect.width = 666;
		b.readFrom(b, rect, rect2);
		System.out.println(rect2);
		
	}
	
}
